{% extends 'report/insights/insights.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('report/insights/property_vacancy_data') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('report/insights/property_vacancy_data') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Leerstandsdaten</h2>
                <p>Hier finden sich aktuelle Leerstandsquoten. Die oberen vier Quoten werden immer angezeigt. Über den Filter kann anhand der Parameter eine spezifische Leerstandsquote ermittelt werden.</p>
                <p class="mb-0"><small>In die Auswertung fließen jeweils nur die in LeAn® erfassten Objekte mit ihren angegebenen Parametern ein.</small></p>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12 col-sm-6 col-md-6 col-lg-3">
                {% set title ='Leerstandsquote' %}
                {% set subTitle ='über alle erfassten Objekte' %}
                {% include 'report/component/property_vacancy/general_property_vacancy_data_card.html.twig' with {'quotaType': generalPropertyVacancyData.getTotalPropertyVacancy(), 'title': title, 'subTitle': subTitle} only %}
            </div>
            <div class="col-12 col-sm-6 col-md-6 col-lg-3">
                {% set title ='Leerstandsquote' %}
                {% set subTitle ='in Erdgeschoss-Lagen' %}
                {% include 'report/component/property_vacancy/general_property_vacancy_data_card.html.twig' with {'quotaType': generalPropertyVacancyData.getGroundFloorPropertyVacancy(), 'title': title, 'subTitle': subTitle} only %}
            </div>
            <div class="col-12 col-sm-6 col-md-6 col-lg-3">
                {% set title ='Leerstandsquote' %}
                {% set subTitle ='in A-Lagen' %}
                {% include 'report/component/property_vacancy/general_property_vacancy_data_card.html.twig' with {'quotaType': generalPropertyVacancyData.getALocationPropertyVacancy(), 'title': title, 'subTitle': subTitle} only %}
            </div>
            <div class="col-12 col-sm-6 col-md-6 col-lg-3">
                {% set title ='Leerstandsquote' %}
                {% set subTitle ='in B-Lagen' %}
                {% include 'report/component/property_vacancy/general_property_vacancy_data_card.html.twig' with {'quotaType': generalPropertyVacancyData.getBLocationPropertyVacancy(), 'title': title, 'subTitle': subTitle} only %}
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 col-lg-9">
                <div class="mdc-card mb-4 p-4">
                    <h3 class="mb-4">Spezifische Auswertungen</h3>
                    {{ form_start(propertyVacancyDataFilterForm, {'attr': {'autocomplete': 'off'}}) }}
                    {% include 'report/form/property_vacancy_data_filter_form.html.twig' with {'form': propertyVacancyDataFilterForm} only %}
                    {{ form_widget(propertyVacancyDataFilterForm.apply, {'label': 'FILTER ANWENDEN', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
                    {{ form_row(propertyVacancyDataFilterForm._token) }}
                    {{ form_end(propertyVacancyDataFilterForm, {'render_rest': false}) }}
                </div>
            </div>
            <div class="col-12 col-lg-3">
                {% if propertyVacancyDataFilterForm.vars.submitted == true %}
                    <div class="mdc-card p-4 mb-3">
                        <div class="h-100 text-center">
                            <span class="quota {% if individualPropertyVacancyData.getPropertyVacancy().fetchQuotaInPercent() < 5 %}text-success{% elseif individualPropertyVacancyData.getPropertyVacancy().fetchQuotaInPercent() < 10 %}text-warning{% else %}text-danger{% endif %}">
                                {{ individualPropertyVacancyData.getPropertyVacancy().fetchQuotaInPercent()|number_format(2,',','.') }} %
                            </span>
                            <p class="mb-1"><strong>{{ individualPropertyVacancyData.getTitle() }}</strong></p>
                            <p>{{ individualPropertyVacancyData.getSubTitle() }}</p>
                        </div>
                        <hr>
                        <div class="h-100 text-center">
                            <span class="fw-bold text-danger">{{ individualPropertyVacancyData.getPropertyVacancy().getEmpty() }}</span> leerstehende{% if individualPropertyVacancyData.getPropertyVacancy().getEmpty() == 1 %}s{% endif%} Objekt{% if individualPropertyVacancyData.getPropertyVacancy().getEmpty() != 1 %}e{% endif %}<br>
                            <span class="fw-bold text-success">{{ individualPropertyVacancyData.getPropertyVacancy().getTotal() }}</span> Objekt{% if individualPropertyVacancyData.getPropertyVacancy().getTotal() != 1 %}e{% endif%} insgesamt
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12">
                <div class="mdc-card p-4">
                    <h3 class="mb-3">Leerstandsdauer</h3>
                    {% if generalPropertyVacancyData.getLongestPropertyVacancyInDays() != null %}
                        <p>Der älteste in LeAn® erfasste Leerstand steht seit <strong>{{ generalPropertyVacancyData.getLongestPropertyVacancyInDays()|number_format(0,',','.') }} Tagen</strong> leer.</p>
                    {% endif %}
                    {% if generalPropertyVacancyData.getShortestPropertyVacancyInDays() != null %}
                        <p>Der jüngste in LeAn® erfasste Leerstand steht seit <strong>{{ generalPropertyVacancyData.getShortestPropertyVacancyInDays()|number_format(0,',','.') }} Tagen</strong> leer.</p>
                    {% endif %}
                    {% if generalPropertyVacancyData.getAveragePropertyVacancyInDays() != null %}
                        <p>Im Durchschnitt stehen die in LeAn® erfassten Leerstände seit <strong>{{ generalPropertyVacancyData.getAveragePropertyVacancyInDays()|number_format(0,',','.') }} Tagen</strong> leer.</p>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
